summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-08-19 20:00:30 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-08-19 21:00:30 +0100
commitc8cdfbd7dbe5f8ec6f9e01094aa3f21d64111408 (patch)
treed37356a1f1180efd5376b5bb822508fca53a69ae /tests
parent6320a38e58a33f648f701d43946831fc166fab6f (diff)
test suite: gdr-import-nostitch: New test
Generate this situation and check it's OK. Also check that the messages contain the expected hint. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/gdr-import-nostitch22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/tests/gdr-import-nostitch b/tests/tests/gdr-import-nostitch
new file mode 100755
index 0000000..9eeb94e
--- /dev/null
+++ b/tests/tests/gdr-import-nostitch
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+autoimport=
+. tests/lib
+. $troot/lib-gdr
+
+t-dependencies GDR
+
+t-tstunt-parsechangelog
+
+t-gdr-gbp-import-core
+
+git checkout master
+
+git tag -m synthetic debian/1.0-1
+
+t-git-debrebase -fupstream-has-debian -funused-patches convert-from-gbp \
+ 2>&1 | tee ../convert-msg
+
+grep -e 'dgit --overwrite will be needed' ../convert-msg >/dev/null
+
+t-ok